Field Track Report Designer

Field Track "Professional" comes with its own in built report designer system. In fact all the reports provided by Field Track were created in Field Track itself.

The Report Designer used in Field Track is extremely powerful and easy to learn, though it can be an art form to master.

"Professional" users are able to save reports to disk and compile report packs that all other Field Track users can use. These report packs can be supplied free, or sold, etc.
reportd1
Please take the time read this help file to better understand how you can use the Report Designer to create the reports you want.


 About Toolbars

The design workspace has several toolbars that are used in order to create, adjust, or modify components. Toolbars can be launched by selecting View | Toolbars.

reportd3


 Advanced Component Palette

The Advanced component palette contains components that can help you tackle complex reporting requirements. Place your cursor over the icons to learn about the components.

reportd2


 Align or Space Toolbar

This toolbar is useful when components need to be positioned uniformly. For example, it can align several components so that the tops are all even, or it can space components so that they have an equal amount of space between them. The first component selected determines the position to which the others will align.


 Data Component Palette

This palette offers several components that are similar to components in the standard palette, except for one thing: they are data-aware. Data-aware components can read the value of a database field. Associate a data-aware component with a given table and field in the database by selecting the data pipeline and the data field from the drop-down lists in the Edit toolbar. Place your cursor over the icons to learn about the components.


 Data Tree

The Data Tree can be used to create data-aware components within a band. Simply select a set of fields and drag the selection into the band. A set of corresponding data-aware components will be created. This tool window is dockable only on the left and right sides of the design workspace.


 Draw Toolbar

This toolbar is used to set the color and style for the shape, line, and region components.


 Standard Toolbar

The Standard toolbar allows you to perform basic functions such as opening, saving, and printing reports, as well as cutting and pasting selections.


 Edit Toolbar

This toolbar changes according to the component that is selected. Place your cursor over the fields to learn more about them.

Edit toolbar with a data-aware component

This configuration allows the data pipeline and data field for the component to be set. The drop-down list on the left shows the data pipelines. The drop-down list on the right shows the field names.

Edit toolbar with a label component

This configuration allows you to type the text for a label.

Edit toolbar with a shape component

The Edit toolbar allows you to choose from several shapes when a shape component is selected.

Edit toolbar with a line component

This configuration allows you to move the line to the top, bottom, left, or right within a line component.


 Format Toolbar

This toolbar sets the font and colors of text-based components. It also sets the layering of all components.


 Nudge Toolbar

This toolbar is useful when you want to move a component or selection of components with extreme precision. Each icon represents the direction the selection will move. Selections will move one pixel each time you press an arrow key.


 Report Tree

The Report Tree can be used to view the components within each band. Components selected in the Report Tree become the selection in the report layout. You can select multiple components by holding down the Ctrl key and clicking on each name. You can rename components by right-clicking over the name, selecting Rename, and then typing in a new name. Make sure to hit the Enter key after renaming to ensure that the new name is assigned. This tool window is dockable only on the left and right sides of the design workspace.


 Standard Component Palette

The icons on the Standard component palette represent components that are frequently used to build reports. To create a component, click on an icon and then click in a band. Place your cursor over the icons to learn about the components.


 Region

A region is a component on the Advanced component palette that can contain other components. To print a region after a text-printing component (memo, DBMemo, RichText, DBRichText), right-click and select ShiftRelativeTo.


 SubReport

The SubReport is a component on the Advanced component palette that allows you to create a report within a report in order to show more levels of detail or to print several reports as one.


 System Variable

The System Variable is a component on the Standard component palette that displays common report information such as the page number, time, and date.


 Image

Image is a component on the Standard component palette that displays graphics (such as bitmaps, GIFs, and JPEGs). Right-click over the component and select MaintainAspectRatio to scale an image so that it is the same height and width.


 BarCode

BarCode is a component in the Standard component palette that renders barcodes. Use the Edit toolbar to set the data to be encoded. Right-click and access Configure to pick bar code types.


 Label

A label is a component in the Standard component palette that functions as a header for another kind of component, such as a DBText. Use the Edit toolbar to type text into the label.


 Memo

A memo is a component on the Standard component palette that allows you to load multiple lines of plain text into it. Right-click over the memo component and select Lines, then click the Load option to bring text into a memo. To print a memo after another text-printing component (DBMemo, RichText, DBRichText), right-click and select ShiftRelativeTo.


 Line

A line is a component in the Standard component palette that displays a line. Use the Edit toolbar to set the line orientation.


 RichText

RichText is a component in the Standard component palette that prints formatted text. Right-click over the component and select MailMerge to bring a file into the component. To print a RichText after another text-printing component (memo, DBMemo, DBRichText), right-click and select ShiftRelativeTo.


 Shape

A shape is a component in the Standard component palette that displays various shapes, such as squares, rectangles, circles, and ellipses. Use the Edit toolbar to change the shape type.


 Variable

A variable is a component in the Standard component palette that performs calculations.


 DBCalc

The DBCalc is a component on the Data component palette that performs simple database calculations (Sum, Min, Max, Average, Count).


 DBImage

The DBImage is a component on the Data component palette that prints graphics (Bitmaps, GIFs, JPEGs) that are stored in a database field. Right-click over the component and select MaintainAspectRatio to scale an image so that it is the same height and width.


 DBText

The DBText displays data from most types of database fields. It cannot handle images or Rich Text.


 DBBarCode

The DBBarCode is a component on the Data component palette that converts the data from a database field into a barcode symbol.


 DBMemo

The DBMemo is a component on the Data component palette that prints plain text from a memo field of a database table. It will automatically word-wrap the text. Select the DBMemo, then select a text-based field from the Edit toolbar to fill a DBMemo with text. To print a DBMemo after another text-printing component (memo, RichText, DBRichText), right-click and select ShiftRelativeTo.


 DBRichText

The DBRichText is a component on the Data component palette that prints formatted text from a memo field. It will automatically word-wrap the text. To print a DBRichText after another text-printing component (memo, DBMemo, RichText), right-click and select ShiftRelativeTo.


 AutoSize

AutoSize is a speed menu option available for text components. When AutoSize is set to true, the component adjusts its width so that all of the text is displayed.


 Bring To Front

Bring to Front allows you to move an object in front of other objects. Use this option to control the appearance of overlapping objects.


 DisplayFormat

DisplayFormat is a speed menu option available for textual components. This option allows you to display a value in a certain format (decimals with a dollar sign, for example). Right-click over a textual component to access the Display Format.


 Edit

Edit is a speed menu option for a Rich Text component that opens a dialog which allows you to open a file and format text.


 Lines

This memo speed menu option that allows you to access the Memo Editor, from which you can open text only files.


 MailMerge

MailMerge appears when you right-click over a Rich Text component. It allows you to import field values into the Rich Text component.


 MaintainAspectRatio

MaintainAspectRatio is speed menu option available for images. It scales an image so that the height and width are adjusted based on the original image size.


 Pagination

Pagination is a speed menu option for the crosstab component that allows you to choose Across then Down or Down then Across printing for the crosstab report.


 ParentHeight

ParentHeight is a speed menu option that allows you to set the shape of an object so that it matches the height of a band. Right-click over a component to select ParentHeight.


 ParentWidth

ParentWidth allows you to set the shape of an object so that it matches the width of a band. Right-click over a component to select ParentWidth.


 Position

Position is a speed menu dialog that allows you to change size of an object. Right-click over a component to access this dialog.


 ReprintOnOverFlow

ReprintOnOverFlow is a speed menu option that applies to static components, or components that always print at the same height. These types of components are frequently used with stretchable components because they serve the purpose of a heading. If a memo prints onto several pages, the heading component should print with it. Set the heading component to ReprintOnOverFlow so it will print on each page.


 Send to Back

Send to Back is frequently used with shapes. This speed menu option allows components to be moved to the background. If you want to use a shape as a background, use the Send to Back function.


 ShiftRelativeTo

ShiftRelativeTo is a speed menu option available to the following components:

Memo
DBMemo
RichText
DBRichText
Region

This option allows us to associate these components with one another so that one can print directly after another. To make this association, right-click over a component, select ShiftRelativeTo, and choose the component you want to print first from the drop-down list.


 StretchWithParent

StretchWithParent allows the selected component to change size according to the change in height of the band in which it resides. Right-click over a component to access this option.


 ShiftWithParent

ShiftWithParent allows a static component to print after a stretchable component . Right-click over a component to select ShiftWithParent.


 Stretch

This menu option applies to stretchable components only. When Stretch is not selected, the component behaves just like a static component: it prints the same height each time, regardless of text. When Stretch is selected, the component adjusts according to the amount of printing text.


 SuppressRepeatedValues

This speed menu option prevents repeated values from printing for DBText and DBCalc components.


 Visible

This speed menu option determines the visibility of an object. To set the visibility of a component to False, right-click over it and deselect Visible.


 Stretchable

Stretchable components print according to the amount of text they contain; therefore, the size changes depending upon their contents. A component is only stretchable if it can contain several lines of text. For example, the Memo, DBMemo, RichText, DBRichText, and Region components are all stretchable.


Static

 Static Components

Static components always print at the same height: they do not stretch to accommodate the length of text. They do, however, adjust their width to fit long words if the AutoSize option is selected. The label, DBText, and System Variable are all static components.


About the Report Designer

 Report Designer

The Report Designer is the environment in which reports are built. The Report Designer is comprised of the following three workspaces, which are accessible by tabs bearing their name:

Data
Design
Preview

reportd1


 Data Workspace

The data workspace is where you go to set the data for a report. Query-building tools such as the Query Wizard and the Query Designer are accessible from this screen.
reportd4


 Design Workspace

The design workspace is where you lay out reports. After a new report is created and data is set up in the data workspace, access the design workspace to build a report.
reportd5


 Preview Workspace

The preview workspace is used to see the printed layout of a report. This workspace is especially useful when building a report. Place a component in a band in the design workspace, then preview to see where it prints and how it looks. Click the tab at the top of the Report Designer marked Preview in order to access this screen. It's a good idea to save the report before selecting the preview tab, as the report generates upon preview.
reportd6


 About Bands

A band is a section of the design workspace that describes how parts of the report will look. Bands are labeled in the section divider immediately below them; thus, the first band is called the 'header', the second is called the 'detail', and the third is called the 'footer.' The header, detail, and footer bands appear in this order as part of the layout of a newly-created report.
reportd7


Header

 Header Band

The header band prints at the top of each page. You can remove a header band from the layout by selecting Report, then clicking on Header.
reportd7


 Group

A group is a section of a report that contains a group header, detail, and group footer band. Groups are assigned to a database field. Select Report | Groups to access the groups dialog. If you want the groups to print on separate pages, select the Keep group together option in the groups dialog.
reportd7


Group Header

 Group Header Band

The group header band contains the header for a group. The components in a group header band appear at the beginning of a group. Select Report | Groups to create a group header and footer band.
reportd7


Detail

 Detail Band

The detail band prints once for every row of data.


Footer

 Footer Band

The footer band prints its components (usually System Variables) on the bottom of each page. To remove this band from the layout, select Report, then click on Footer.


Group Footer

 Group Footer Band

The group footer band contains the footer for a group. The components in this band print at the end of each group; therefore, if there are several groups per page, the contents of this band will print several times. Select Report | Groups to create a group footer and header band.


Summary

 Summary Band

The summary band prints once at the end of a report. The band is typically used to summarize data. Select Report | Summary to create this band.


Title

 Title Band

The title band contains the title of the report. It prints on the first page only. Select Report | Title to create this band.


About report-building tools

 Report-Building Tools

The Report Designer offers three tools that generate reports for you based on the selections you make when working with them. These tools, or wizards, are available in the design workspace. Select File | New, then click on the icon to access a wizard.


 Report Wizard

The Report Wizard is a tool in the design workspace that allows you to create a report by answering some questions pertaining to data, layout, and style. Access this tool by selecting File | New, then clicking the Report Wizard icon.


 Label Template Wizard

The Label Template Wizard is a tool in the design workspace that allows you to build templates by selecting printer information and choosing a label type. Select File | New in order to access this tool.


 Database

A database is a holding tank for data, or raw facts and figures. Databases are comprised of tables, which are collections of data organized into columns and rows, or fields. A report cannot be created without a database.


 DataView

The DataView appears upon the completion of a query. It allows you to make changes to the existing query. When you complete a query, the DataView is displayed in the left corner of the data workspace. Here's an example of a DataView. Place your cursor over the icons to learn more about them.


 Data Pipeline

Data pipelines represent a database table or SQL query and provide a set of data structured as records and fields. All data-aware components need to be assigned to a data pipeline.


 SQL

SQL stands for Structured Query Language. It's a language used to access data from a database. You can create SQL queries without knowing the language via the Query Wizard or the Query Designer. You cannot build a report without accessing data from a database.


 Query Wizard

The Query Wizard is a tool that helps you choose the data you want to use for a report. As you select this data, the Query Wizard builds an SQL statement, which allows you to select data from a database. When you complete a query via the Query Wizard, a DataView is displayed. You can go back into a query and make changes via the DataView. When you re-enter a query, you do so by using the Query Designer. Click the Data tab and select File | New in order to access the Query Wizard.


 Query Designer

The Query Designer is a tool that allows you to select data from a database without using SQL. When you complete a query, a DataView is displayed. Click the Data tab and select File | New in order to access the Query Designer.


 Data Setting Overview

The Field Track Report Designer uses standard SQL coding to present data to the design and preview systems. All reports come with both a data structure and a report design.

Field Track creates a set of database files for the season you are viewing in Field Track. These files are created in the Field Track folder and are prefixed by "REPORT". For example; "REPORT-FieldRecords.DAT". Several database files are created for your field, application, income and planner records. These files get deleted once you come out of the reporting system. Most of the Field Track reports use these databases, as they are a small subset of your data. Most of the reports you create will use these database files.

All reports come with a data structure, so most of the time it's easier to use an existing report (structure) and re-design a report, or alter the core SQL in the data settings than it is to create a completely new data structure. Below details how a data structure is created.

In the "Data" tab select "File" - "New" and then select "Query Wizard" to start a new data structure wizard.
reportdw1
Select the database you wish to use. In most cases you will need to select both "Fields" and "Fieldrecords". Because your application records do not store the field's name we are going to "Join" the databases together, as below:
reportdw2
As soon as we select the "Fieldrecords" database, the designer will ask how to link the databases together:
reportdw3
Initially there is far too many joins, as the Designer is guessing at this stage. All the entries in the "Joined Fields" section can be removed accept one:
reportdw4
The database field "Field Code" is the only link between the Field database and the Fieldrecords database. Once you are happy you can select "OK" and then "Next" to progress to the next setting.

The above procedure is usually not needed, as all the reports in Field Track have had this done to create the current selection of reports. It's generally far easier to take an existing report and carry on from this point and alter the settings below to create a new data structure for your new report. The above procedure, or the understanding of it is the hard part of the designer system. The below settings is where you really need to fully grasp how all the bits interact.

Selecting the fields
reportdw7
The designer now needs to know which database fields to include in the SQL code. By default "All Fields" is selected and all the reports in Field Track use the "All Fields" selection. It is recommended "All Fields" is used.

Why choose fields?

The main advantage to selectively choosing only the fields you want is speed, as the database will only contain the field you select. The downside is that you will not be able to use a database field not selected in your report. Please note the different database names. One field is from one database and another can be from the other database we joined together earlier. Some joined databases, as above, have database field names the same and the designer will name them (fieldname) and (fieldname2). It is important in some reports you choose the correct field name.

Calculations
reportdw8
You are also able to create extra database fields based on simple calculations. By default selecting "No Calculations" is easier, as your report design can do simple calculations also. Using calculations will also engage the next "Grouping" option, which again can be better understood and done in the report design itself:
reportdw9
By default "No Grouping" should be selected.
reportdw10
By default "All Rows" should be selected, as we will detail the finer points of limiting your records in a later section. However, this is where you would insert your search criteria. For example, all records of type "Chemical", etc.
reportdw11
Refining your Data Setting's can be done now, or later.

As with your search criteria, you can also set the order of the records presented to your report designer and these can be altered later and will be an often adjusted area of a report, as the "Grouping" feature in your report layout uses the sort order to determine when to create a new group of records.
reportdw12
Once complete you can have Field Track create your Data Structure
reportdw13
Press "Finish" to complete the process.
reportdw14
Your Data Structure is now ready to be used by the Report Designer.


 Tweaking The Data Structure

Your Data Structure is key to your reports functioning correctly and will be an area you must fully understand before designing complex reports with Field Track.
reportdw15
Preview Data

If you alter any of Data Settings it is recommended you preview the data to be sure everything is correct and functional. This process can take a while to complete, so be patient.

Tables

This alters your table settings and joins.
reportdw16

Fields

This allows you to increase, or decrease the number of database fields to return. Can be used to speed up the SQL code, however fields not available will not be available in your report designer.
reportdw17

Calculations

You can create new fields based on a calculation of another field. You can generally do what you want better in the report designer than here.

Group

Allows you to group records together for purposes to do with the above calculation feature. Grouping in easy understood in the report designer.

Search

This is an important element to your report design. Field Track stores all your application records in a single database, thus creating a report on "Chemical" records means you need to limit the returned records to only "Chemical"
reportdw18

Sort

Sorting your records is also very important in your design. This is especially true when you use the grouping system in the report designer. The report designer only changes a group heading when the database field, on which the group is based on, alters.
reportdw19
The above example is for a report that groups the report on the "Field Name" and then on "Problem". The final "Date" will mean the records are in date order. For example I have a report which I want all the records sorted by field and chemical problem. I create a group, in the report, for field and then problem. The data structure must have already sorted the records so the grouping feature functions correct; i.e., the records have alter been sorted correctly. The above shows you how this is done. The order of the sorting is detailed by the order in which the sorting elements are positioned in the list.

SQL

This details the core SQL code used to generate the records returned to the report. The previous settings create this final result for you. It is possible to edit (tweak) the SQL code, however this will mean your settings become non-functional, as your SQL code takes control. A good knowledge of SQL code will be required to master this aspect of the Field Track Report Designer.
reportdw20

Summary

Field Track comes with most general report requirements, so the need to create a new Data Structure will be limited, however knowing how it all works will aid those wanting more scope in their reporting abilities.

It is far easier to take a current report and save it under a new name and then attempt to change things to see the results. Altering existing reports will mean the main areas of concern on any report will be; search and sort. Search allows you to limit the records. Sort allows you to better sort the records to work your report groups. If you want a report to display records based on a "Problem" then you search for all "Chemical" records and sort them by "Problem", as well as "Date".

Once you change a setting in your Data Structure" select the "Preview" button and see the results to be sure they look correct before closing your result's window and moving back to the "Design" system. Previewing your data can take a little while.

It is important to understand the link between the Data Structure's sort and search systems and the "Grouping" features of the report design. The report's grouping feature relies on the data being sorted ready for this feature, as the reports's "Grouping"£ feature starts a new group whenever the underlying data alters.


 Report Design Basics

The basics of any report design are static and dynamic information. Static information is what you want to appear on the report. A label heading, for example. Dynamic information is that which comes directly from the database fields. Your field information, for example.
reportdw21

Reports are created using 'Bands'. A band can be a page header, group header, or footer, etc. Each white section of your report is a 'Band'. The grey section below each band details exactly what the above band is.

The most important bands are any grouping band and, of course, the detail band. The detail band will repeat for every record in your database. The grouping band will only change if the underlying data changes. For example, you create a report grouped by crop type. As long as the underlying database is sorted by crop type, then the grouping band will only change when the crop type information changes. This is important, as without the correct change, your records will not total correctly. They may not even related to the group concerned at all.


 Creating Useful Groups

Grouping your records in a report is a key element of a good reports. Most reports will have at least one group. For example a simple report to show the applications applied to a field requires a group on the field's name.

Let us create an example report.

Select the "Reports" menu and then "Groups"
reportdw23
reportdw24
This example will create two groups: Field Name and problem/reason. This report will thus group all records by field and then each application by reason for use (Weeds, growth, etc). It is important to realise that each group is in the right order and the Data Structure sorts records first by the field name and then by the problem database fields.

"Start new page"

Some groups you may want to start of a new page. Starting a group on a new page is useful for the field, for example.

"Keep group together"

You may wish the cost type groups to remain as one. If there is too much to fit on the remainder of the page, this feature will start a new page, so all the information is together and easier to read.

Do not forget to check your Data Structure sorting.
reportdw19
A final sort of date makes sure our report looks right in the page and is finally in date order. You may wish to add a "Start Time" sort, which want to be after the "Date" sort.

With the basics configured it is simply a case of adding static and dynamic labels, or components to your report to create the right effect on the page.
reportdw25
Use the "Preview" tab to keep checking your design.
reportdw26


Useful Totals

 Creating Useful Totals

The "Groups" feature also provides the ability to sum your costs.
reportdw27
A calculation can be added to and 'band', however the most useful are in your grouping footer bands.

The above example adds up the area and total cost in two areas: Problem footer and the field's footer, thus we have a total for both the field and also each specific problem, or reason of use.

A sum field is easy to add using the DBCalc field.
reportdw28
Once you have your DBCalc field on the report you can right-click it to alter its configuration.
reportdw29
"Calculations" and "DisplayFormat" will be the most important areas of concern.
reportdw30
Select the type of calculation and the database field you wish to use as the basis of the calculation.
reportdw31
Select, or type in the format you wish the result to display as.


 Tricks & Tips Designing Reports

Alignment

Designing a report is all about alignment, as it is no good having your information all over the place. The report designer comes with many useful alignment tools at your disposal. Use the alignment toolbar religiously to make your designs look well on the page. Using the SHIFT and Ctrl keys to select more than one component allows you to align one component with the rest. The first selected component is the one used for the alignment process.

Autosize

Many components have an AutoSize feature, which is very useful for database fields, as you may not know how large the data is in the report. Be careful, however, as it is a compromise knowing if the report will look correct on everyone's reports due to the amount of information Field Track can store.

Grouping

Be careful when creating "Groups", as it is a combination of your Data Structure's sorting, as well as the field in the group header band.

Display Format

The display format will present different types of formats depending on what type of component you are working with. For example a number will present formats that affect how the number is displayed.
reportdw31

Justification

Use the justification toolbar to make your report components justify their contents correctly


 Saving Reports

reportdw32
Save

Saves the report back into your Field Track Reports database.

Save As

Saves the report back into your Field Track Reports database, however allows you to change its name.

Load From File

Load a 'rtm' report file from disk.

Save to File

Save the report as a 'rtm' report file that all Field Track users can load into their designer, or Reports database.

Remember to work with copies of originals, so you do not accidentally overwrite a good report.


 Further Assistance

This help file is not exhaustive on the features of the Field Track Report Designer. You can find further assistance through the "Field Track User Club", or through Support.

There is also a "Learning Toolkit" available, which consists of an application, example reports and also a PDF tutorial system. This is not related to Field Track, so you may need to be creative in taking the knowledge you learn from it and applying it to your Field Track records, however it does cover far more than is possible in this help file.

Download the tutorial system from:

Report Builder Tutorial (3.26Mb)

This is a self extracting installation system, which will install a self contained tutorial system for those wanting to look deeply into the Field Track Reporting system. I am open to all future suggestions and improvements should any user require the reporting system to be expanded in any way.

You can also download the PDF manual contained in the above tutorial from:

Tutorial PDF (1.7Mb)

This help file was created from the help file provided in the tutorial system.


Glossary

A

Advanced component palette

align

Align or Space toolbar

AutoSize

B

bands

BarCode

bounding box

BringToFront

C

canvas

components

Configure

CrossTab

CrossTab Designer

CrossTab Wizard

D

data

data-aware

database

database table

Data component palette

data module

data pipeline

data traversal

Data Tree

data workspace

DataView

DBBarCode

DBCalc

DBImage

DBMemo

DBRichText

DBText

design workspace

detail band

DisplayFormat

dock

Draw toolbar

E

Edit

Edit toolbar

F

fields

floating window

footer band

Format toolbar

G

group

group footer band

group header band

guides

H

header band

highlight

I

Image

J

K

Keep group together

L

Label

Label Template Wizard

Line

Lines

M

MailMerge

MaintainAspectRatio

Memo

Memo Editor

N

Nudge toolbar

O

orphan

overflow

P

Pagination

ParentHeight

ParentWidth

Position

preview screen

properties

Q

query

Query Designer

Query Wizard

R

Region

report

Report Designer

Report Tree

Report Wizard

ReprintOnOverFlow

RichText

RichText Editor

rulers

S

select

selection

selection handles

Selection Tool

Send to Back

Shape

shift-click

ShiftRelativeTo

ShiftWithParent

Size toolbar

sizing

sizing handles

speed menu

SQL

Standard component palette

Standard toolbar

Start new page

static

status bar

stretch

stretchable components

StretchWithParent

Style

SubReport

Summary band

SuppressRepeatedValues

System Variable

T

tabular

title band

title bar

U

V

Vertical

Variable

Visible

W

workbench

X

Y

Z


 Support

Field Track comes with 90 days free support and also free website support. Better, faster support after this period is available through the "Field Track User Club" yearly subscription service.

For support please use the below contact options:

Charles Collinson
Co-ordinated Computer Integration
South Lodge
Station Road
Topcliffe
Thirsk
YO7 3SE
UK

+44 (0)1845 578867 (Tel/Fax)
07941 032065
Support@fieldtrack.com
www.fieldtrack.com
web1


0b2bjo

 Data Workspace

The notebook page you access to select data.


0qwvvz

 Floating Window

A toolbar detached from the edge of the Report Designer and released so that it 'floats' in front of the Report Designer.


1yyc2t

 Style

A speed menu option for the crosstab component that allows you to choose between Repeated Captions or Standard printing.


2a8.ol

 Detail Band

A band that prints once for every row of data.


2mx2sx

 Crosstab Designer

The dialog displayed when the Configure option on the speed menu for the crosstab component is selected. The crosstab is created via the designer.


2nihye

 Query

A request for data using a language specific to databases called SQL. The Query Designer and Query Wizard create SQL queries as we choose the data we want for the report.


3df40u

 DBRichText

A component that prints formatted text from a memo field. It will automatically word-wrap the text.


3sczdq

 Tabular

A setting in the Data Tree layout tab that configures the drag and drop behavior to create labels across the top of the page and data flowing down the page. The opposite of vertical.


04jiti

 Data Module

A container for one or more dataview. You can save a dataview in a data module and import it into a new report in order to use a query from one report for another.


5wpdt1

 Data Component Palette

The palette from which you create data-aware components. Click on the icon and click on the canvas to create a data-aware component.


6ns96n

 Size toolbar

A toolbar that allows you to set all of the components in a selection to the same width or height.


7vtt46

 DBMemo

A component that prints plain text from a memo field of a database table. It will automatically word-wrap the text.


7wnkn7

 Workbench

The area in the design workspace that surrounds the canvas and contains tools used to modify the report layout.


8.8leh

 Stretchable Components

Components that change size according to the amount of text they contain. A DBMemo is a stretchable component. Right-click over a component to set Stretch to true.


8balfj

 Bands

Section of the design workspace that describe how part of the report will look. Bands are labeled in the section divider immediately below them .


 Components
Components control how the report looks. Each component has a unique purpose and function. Create a component by clicking on the icon on the toolbar, then clicking in the white space of the band in which you want the component to appear. You can type text for a component like a label via the Edit toolbar. Other components, such as a DBText, are data-aware and therefore can be assigned to database fields via the Edit toolbar.

Here is a list of the components:

Label
DBText
DBMemo
DBRichText
DBCalc
DBImage
DBBarCode
Region
SubReport
Memo
RichText
System Variable
Variable
Image
Shape
Line
BarCode
DBText
DBMemo
DBRichText
DBCalc
DBImage
DBBarCode
Region
SubReport


9fyv0p

 Data Tree

A tool for creating data-aware components within a band. Simply select a set of fields and drag the selection into the band. A set of corresponding data-aware components will be created.


9yyek5

 Image

A component on the Standard component palette that displays graphics (such as bitmaps, GIFs, and JPEGs).


29p.em

 Keep group together

An option in the groups dialog that sets the group so that the bands of the group will print on the same page.


53eiio

 Aligning

The act of setting components' positions so they line up with one another.


69gl5_

 ParentHeight

A speed menu option that allows you to set the shape of an object so that it matches the height of a band.


88xgjj

 Status Bar

The bar at the bottom of the design workspace that tracks the movement of selected components. It's useful for component placement and alignment in that it allows you to position components based on an exact measurement. It also displays the name of the selected component.


414xd8

 Static Components

Components that print just as they appear in the layout.


84388j

 Edit Toolbar

A toolbar that allows you to set the most important property of a component.


_6kqzs

 shift-click

A method of component selection by which you hold down the shift key and click on the components you want selected. You can also deselect a component in a selection using this method.


_86vds

 DataView

The visual representation of a query displayed in the data workspace. It contains the data selected in the Query Wizard or Query Designer. Dataviews allow you to make changes to a query via the Query Designer, which can be accessed by clicking the icons in the dataview toolbar.


..5794

 Selection Handles

The little gray boxes that appear around selected components.


_zs5_e

 Query Wizard

A tool that allows you to select data for a report.


align

 Aligning

The act of setting components so they line up with one another.


Align_bottom_popup

 Align Bottom

Aligns a group of components with the bottommost position of the first-selected component.


Align_Center_horizontally_popup

 Center Horizontally in Band

Centers a component horizontally within a band.


Align_center_vertically_popup

 Center Vertically in Band

Centers a component vertically within a band.


Align_Horizontal_popup

 Align Horizontal Centers

Centers a group of components based on the horizontal center of the first-selected component.


Align_left_popup

 Align Left Edges

Aligns a group of components with the leftmost position of the first-selected component.


Align_Right_popup

 Align Right Edges

Aligns a group of components with the rightmost position of the first-selected component.


Align_space_horizont_popup

 Space Horizontally

Spaces a set of components based on the leftmost position of the first-selected component and the rightmost position of the last-selected component.


Align_space_vertically_popup

 Space Vertically

Spaces a set of components based on the topmost position of the first component selected and the bottommost position of the last component selected.


Align_top_popup

 Align top Edges

Aligns a group of components with the topmost position of the first-selected component.


Align_Vertical_popup

 Align Vertical Centers

Aligns a group of components based on the vertical center of the first-selected component.


 Selection Handles

Selection handles are the little gray boxes that appear around selected components.


barcode_tool

 BarCode

Renders barcodes. Use the Edit toolbar to set the data to be encoded. Right-click and access Configure to select bar code types.


lines popup

 Lines

A speed menu option for a memo that allows you to access the Memo Editor, from which you can open text only files.


buth05

 DBImage

A component that prints graphics (Bitmaps, GIFs, JPEGs) that are stored in a database field.


ch3.md

 ShiftWithParent

A speed menu option that allows a static component to print after a stretchable component.


clCustomer

 This is the data pipeline to which the component is assigned. It represents the database table and provides the fields..


con0ttgqz

 Shape

A component that displays various shapes, such as squares, rectangles, circles, and ellipses. Use the Edit toolbar to change the shape type.


con2_aq81

 Group Header Band

A band that contains the header for a group. The components in a group header band appear at the beginning of a group.


con7aljgh

 Select

To click on an object. See 'highlight' as a contrasting term.


con7u4h8y

 RichText Editor

A dialog box accessible via the RichText component that allows you to replace text with database fields.


con96e4ku

 SuppressRepeatedValues

A speed menu option that prevents repeated values from printing.


conakww05

 Bring to Front

A speed menu option that allows you to move an object in front of other objects. Use this option to control the appearance of overlapping objects.


cond1havu

 Report Wizard

A tool that allows you to create a report by answering some questions pertaining to data, layout, and style.


coneb0prn

 Overflow

Occurs when a stretchable component prints on additional pages, or overflows.


congrg7gi

 RichText

A component that allows you to print formatted text.


conitlvc5

 Pagination

A speed menu option for a crosstab component that allows you to choose Across then Down or Down then Across printing for the crosstab report.


conjr6ga4

 Footer Band

A band that prints (usually the page number, date, time) at the bottom of each page of the report.


conkvnjth

 Visible

A speed menu option that determines the visibility of an object. Right-click over a component to select Visible. If the Visible option is set to false, the component will not appear in the report.


conlrtv97

 DBRichText

A component that prints formatted text from a memo field. It will automatically word-wrap the text.


conlwff4c

 Rulers

The design workspace has two rules: the horizontal ruler and the vertical ruler. As you move a component in the workspace, you'll see a guide that tells you the location of the component on the rulers.


conlyrpp

 Canvas

The area in the design workspace that contains the reports layouts. The canvas is divided into rectangular areas called bands.


crosstab_tool

 CrossTab

Presents summarized data in a grid format. Crosstabs are designed by right-clicking over the component and accessing the Configure option.


cth4uq

 Bounding Box

(A) A method of component selection by which you right-click your mouse and drag it so it encompasses the components you want selected. (B) The box that appears around the components you want selected as you drag your mouse.


Data_DBBarCode_popup

 DBBarCode

Converts the data from a database field into a barcode symbol.


Data_DBCalc_popup

 DBCalc

Performs simple database calculations (Sum, Min, Max, Average, Count).


Data_DBImage_popup

 DBImage

Prints graphics (Bitmaps, GIFs, JPEGs) that are stored in a database field.


Data_DBMemo_popup

 DBMemo

Prints plain text from a memo field of a database table. It will automatically word-wrap the text.


Data_DBRichText_popup

 DBRichText

Prints formatted text from a memo field. It will automatically word-wrap the text.


Data_DBText_popup

 DBText

Displays data from most types of database fields. Cannot handle images or Rich Text.


Data_Tree_Data_popup

 Data Tab

Shows what data is available for the report. The screen shot illustrates how the Data Tree looks when the data tab is selected.


Data_Tree_Field_List_popup

 Field List

Shows the fields for the currently selected data pipeline.


Data_Tree_Fields

 Fields

These are the available fields.


Data_Tree_layout_popup

 Layout Tab

Allows you to control the format of the components created when you drag fields from the Data Tree into the layout.


Data_Tree_List_popup

 Data List

Shows all of the data pipelines in the data workspace. Data pipelines represent a database table or SQL query and provide a set of data structured as records and fields.


DataView_Calcs_popup

 This icon represents the Calcs screen of the Query Designer. Click this icon to create or modify calculations.


DataView_Data_type_popup

 These are the types of data for each field. String means that the field is text-based. Currency means that it is a field based on currency, like the amount earned.


DataView_fields_list_popup

 These are the names of the fields within the data table. Each field contains data specific to it.


DataView_fields_popup

 This icon represents the Fields screen of the Query Designer. Click the Fields icon to add or remove any fields from the query.


DataView_group_popup

 This icon represents the Groups screen of the Query Designer. Click this icon to add or remove groups from the query.


DataView_Pipeline_popup

 This is the data pipeline. Data pipelines represent the database table and provide a set of data structured as records and fields.


DataView_preview_icon_popup

 This icon represents the preview screen. Click this icon to see the result of your query.


DataView_Search_popup

 This icon represents the search option. Click this icon to display the query you created with either query-creating tool (the Query Designer or Query Wizard). You can make any changes necessary by clicking the search icon.


DataView_sort_popup

 This icon represents the Sort screen in the Query Designer. Click this icon to change the order of the data.


DataView_SQL_popup

 This icon represents the SQL screen of the Query Designer. Click this icon to access the SQL statements for your query.


DataView_tables_icon_popup

 This icon represents the Tables screen of the Query Designer. Click this icon to add or remove tables from the query.


DataView_title_bar_popup

 This is the title bar. It displays the title of the DataView. There is a default title for the DataViews, but you can change the name of the title by clicking on the SQL icon (the last one of the icons on the DataView).


dgdmbs

 Sizing

The act of altering the size of a component via the sizing handles or the Position menu.


dr.a1r

 Data Pipeline

A special kind of component that supplies data to a report and controls which rows of data are used to generate the report. It represents a database table or SQL query and provides data in the form of fields and records.


Draw_Fill_Color_popup

 Fill Color

Sets the color for a shape or region.


Draw_Line_color_popup

 Line Color

Sets the color of the border for shapes and regions. Sets the color for a line.


Draw_line_style_popup

 Line Style

Sets the style of a line.


e8t5_i

 Group Footer Band

A band that contains the footer for a group. The components in this band print at the end of each group; therefore, if there are several groups per page, the contents of this band will print several times.


Ecyvozo

 System Variable

A component that allows you to display the page number, time, date, and other useful information.


edit_toolbar_fields_popup

 These fields can be assigned to any data-aware components. They come from the data pipeline.


ees52l

 Speed Menu

A menu that appears when you right-click over a component. It will vary depending upon the component.


et4.99

 Report

Data in the form of information: a polished product that contains useful data.


Format_a_popup

 Font Name

Shows the name of the font chosen for the selected component.


Format_B_popup

 Font Size

Shows the size of the font chosen for the selected component.


Format_C_popup

 Bold

Sets text to bold.


Format_D_popup

 Italic

Sets text to italic.


Format_E_popup

 Underline

Underlines text.


Format_F_popup

 Left Justify

Left justifies text.


Format_G_popup

 Center

Centers text.


Format_H_popup

 Right Justify

Right justifies text.


Format_I_popup

 Font Color

Sets the text color.


Format_J_popup

 Highlight Color

Sets the background color.


Format_K_popup

 Bring to Front

Brings a component to the front of other components


Format_L_popup

 Send to Back

Sends a component to the back of the other components so it serves as a background. Use the Report Tree to see the exact layering of the components within the band.


g46rjo

 Database

A place where data is stored in an organized fashion. Databases are comprised of tables, which are collections of data organized into columns and rows, or fields. A report cannot be created without a database.


ge9ytl

 Report Tree

A tool used to view the components within each band. Components selected in the Report Tree become the selection in the report layout.


gsiddi

 Variable

A component that performs calculations.


h8zird

 Memo

A special kind of component that allows you to load text into it. Right-click over the memo and select Lines in order to load text.


hamrdu

 Database Table

A structure that facilitates the storage and retrieval of organized data.


hl2ph_

 Highlight

To select text for editing. You highlight text by holding down the mouse button and dragging the cursor over text or by holding down the Shift key and pressing an arrow key.


hp7.6p

 Variable

A component in the Standard component palette that performs calculations.


hxgq7u

 Fields or Columns

The values going down a database table.


i2cf24

 Data Traversal

The act of moving between the rows of a database table.


i9c9h2

 Stretch

A speed menu option that applies only to stretchable components. When set to true, the component will change size depending upon the amount of text it contains. Right-click over a component to select Stretch.


icd56c

 SubReport

A component that allows you to create a report within a report in order to show more levels of detail or to print several reports as one.


ID6fa0ha

 Align or Space Toolbar

A toolbar that allows you to align or space components so that they have a uniform appearance. Select View | Toolbars | Align or Space to launch this toolbar.


ID_3a172i

 label tool


DisplayFormat popup

 DisplayFormat

A speed menu option available for textual components. This option allows you to display a value in a certain format (decimals with a dollar sign, for example). Right-click over a textual component to access the Display Format.


data-aware

 Data-aware Components

Data-aware components have the ability to read the value of a field from a database table, then display that value in the report. This is different from the standard components, which have content that is assigned when you lay out a report. You associate a data-aware component with a given table by selecting the data pipeline and the data field from the drop-down lists in the Edit toolbar.


 Stretchable Components

Stretchable components print according to the amount of text they contain, so their height varies. All of the components that are capable of containing several lines of text are stretchable. For example, the DBMemo, Memo, RichText, and DBRichText are all stretchable components.


ID__l3y5n

 StretchWithParent

A speed menu option that allows the selected component to change height according to the change in height of the band in which it resides. Right-click over a component to select StretchWithParent.


ID_blu075

 Advanced Component Palette

A palette that contains components used for building complex reports, such as subreports, reports with regions, or crosstab reports.


ID_bqz6rk

 Data-aware Components

Components to which you can assign data fields. In the Report Designer, these components are prefixed by DB, meaning database.


ID_d59a4c

 CrossTab Wizard

A tool in the design workspace that generates a report based upon the choices you make in the wizard. Access this tool by selecting File | New, then clicking the CrossTab Wizard icon.


IDH3r8gck

 ParentWidth

A speed menu option that allows you to set the shape of an object so that it matches the width of a band. Right-click over a component to select ParentWidth.


IDH4tznzy

 DBText

A component that displays data from most types of database fields. Cannot handle images or Rich Text.


IDH53rwbn

 Nudge Toolbar

This toolbar allows you to move a component or a group of selected components one pixel at a time.


IDHf4mg5y

 Configure

A speed menu option for the Crosstab component. It allows you to access the Crosstab Designer.


IDHk4gbhw

 Preview Workspace

A workspace where you can preview the generated report to see how it will look when printed.


IDjtpw52

 Vertical

A setting in the Data Tree layout tab that configures the drag and drop behavior to create labels down the page and data across the page. The opposite of tabular.


image_tool

 Image

Displays graphics (such as bitmaps, GIFs, and JPEGs).


Ind1bz6b7

 Title Bar

The bar on the top of a floating window that displays the title of the toolbar.


Ind1ef.pd

 Design Workspace

The workspace where you create the report layout.


Ind1stwka

 Dock

The act of dragging a toolbar to one side of the workspace and dropping it such that it 'sticks' to that side. A docked toolbar moves when you move or resize the Report Designer.


Ind1x0rpk

 Draw Toolbar

A toolbar used to set the color and style for the shape, line, and region components.


Ind2yinp0

 Components

Elements used to control how the report looks. Each component has a unique purpose. In order to place a component in the design workspace, click the icon on the component palette, then click on the white space of the band in which you want the component to appear. When a component is selected, an edit or drop-down list may appear in the upper left hand corner of the design workspace. This area provides different options depending upon the selected component.


Ind4seke8

 Summary Band

A band that prints once at the end of a report. The band is typically used to summarize data. Select Report | Summary to create this band.


Ind5bt8al

 Selection

A group of selected components.


Ind5t4.0i

 Title Band

Contains the title of the report. It prints on the first page only.


Ind6aroa5

 Standard Selection tool

A tool used to select one or more components within the layout. It can also be used to clear any selection (by clicking in the white space of a band).


Ind6dh9pi

 Variable

A component that performs calculations.


Ind6ejjim

 Guides

The lines on the horizontal and vertical ruler in the design workspace that move as you move the cursor over the canvas.


Ind6ru7v8

 Report Designer

A report-building environment. It includes the design workspace, the data workspace, and the preview workspace.


MemoEditor popup

 Memo Editor

A dialog box accessed via the memo component (right-click over the component and select Lines) that allows you to open text files.


Ind9m175c

 MaintainAspectRatio

A speed menu option available for images. It scales an image so that it is the same height and width.


Ind15vp6z

 Data

Specific facts that are entered into a database. Data can be accessed via queries.


Ind18w7uu

 Properties

Settings for components, such as font style, size, and color.


Ind54cu.8

 Header Band

A band that prints at the top of each page of the report.


Ind77_m1v

 Format Toolbar

This toolbar gives you the ability to modify text-based components in a number of ways. You can change the font style and font size. You can bold, italicize, or underline the text. You can justify a word or sentence to the left of the margin, or you can center or right-justify text. You can also change the color of the text.


Ind_5s5l6

 AutoSize

A speed menu option available to for text components. When AutoSize is selected, the component adjusts its width so the text (one or two words) fits inside of it.


Ind.cfc96

 ShiftRelativeTo

A speed menu option that allows you to associate components so that they print one after the other. This option is especially useful when you want one component (a memo, for example) to appear below another.


Indb.gqgn

 Standard Component Palette

A toolbar that includes the most frequently used components for report building.


Inddutven

 Send to Back

A speed menu option frequently used with shapes or background objects because it allows components to be set on top of each other.


 Size toolbar

You can use the Size toolbar to set all of the components in a selection to a uniform height or width.


Indezinoy

 DBBarCode

A component that converts the data from a database field into a barcode symbol.


Indf1d4g5

 Position

A speed menu option that allows you to change the size and position of an object. Right-click over a component to access the Position... dialog.


Indfnm7al

 Label Template Wizard

A tool that allows you to build templates by selecting printer information and choosing a label type.


Indg3dlez

 MailMerge

A speed menu option that appears when you right-click over a Rich Text component. It allows you to import field values into the Rich Text component.


 Contents


Indgutsp6

 Group

(1) A section of a report that contains a group header, detail, and group footer band. Groups are assigned to a database field. Select Report | Groups to access the groups dialog. (2) A behind-the-scenes component that allows a report to be organized into separate sections, based on the value of a field.


Indgyrqrs

 SQL

Structured Query Language. The language used to retrieve data from a database in an ordered form so that it can be used to create reports. See page 104 for a complete description of this toolbar.


Indiidmjr

 DBCalc

A component that performs simple database calculations (Sum, Min, Max, Average, Count).


Indijvmai

 BarCode

A component in the Standard component palette that renders barcodes. Use the Edit toolbar to set the data to be encoded. Right-click and access Configure to select bar code types..


Indjmgf88

 Edit

A speed menu option for a Rich Text component that opens an application which allows you to open a file and format text.


Indkrglyu

 Orphan

(1) A component(s) that prints on a different page than the components within the same band or region. For example, if a DBText that's supposed to follow a DBMemo prints at the top of the next page rather than with the DBMemo, it is orphaned. (2) A group footer band that prints at the top of a page with no preceding detail bands.


Indkuxl4k

 Region

A special kind of component that can contain other components.


Indvk6nk

 Sizing Handles

The little black boxes that appear when an object is selected. If you drag your cursor over one of the sizing handles, the cursor will change to a double-sided arrow. You can then resize the component by holding down the mouse button and dragging.


iwlbr

 ReprintOnOverFlow

A speed menu option that sets a component so that it will reprint. For example, a memo has an accompanying label. If the label is set to ReprintOnOverFlow, it will reprint on each page of the memo's text. Right-click over a component to select ReprintOnOverFlow.


jm7__v

 Start new page

An option in the groups dialog that allows you to force a group onto a new page each time the group field changes value.


jph6f5

 Label

A component useful for titles and headings. Use the Edit toolbar to set the text for a label.


jwwcwy

 Line

A component in the Standard component palette that displays a line. Use the Edit toolbar to set the line orientation.


k8cz6.

 Standard Toolbar

A toolbar that allows you to perform basic functions such as opening, saving, and printing reports, as well as cutting and pasting selections.


k88s9l

 Query Designer

A tool that allows you to make changes in the data selection.


label_toolbar

 Label

Displays text. Use the Edit toolbar to set the text for a label.


LDraw_line_thickness_popup

 Line Thickness

Determines the thickness of a line. Applies to line components only.


line_tool

 Line

Displays a line. Use the Edit toolbar to set the line orientation.


memo_toolbar

 Memo

Prints multiple lines of plain text in a report.


Nudge_down_popup

 Nudge down

Moves all selected components down one pixel.


Nudge_left_popup

 Nudge left

Moves all selected components one pixel to the left.


Nudge_right_popup

 Nudge right

Moves all selected components one pixel to the right.


Nudge_up_popup

 Nudge up

Moves all selected components up one pixel.


phhut

 CrossTab

A component that presents summarized data in a grid format. Crosstabs are designed by right-clicking over the component and accessing the Configure option.


region_tool

 Region

Contains other components.


Report_Tree_Band_names

 Band Names

The band names in the Report Tree represent the bands in which the components reside.


Report_Tree_component_names

 Component Names

These are the names of the components, which can be changed by right-clicking over a selected component and choosing Rename from pop-up menu.


Report Tree icon

 Icons

These icons represent the type of component displayed in a band.


richtext_tool

 RichText

Prints formatted text.


select_tool

 Standard Selection tool

Selects one or more components within the layout. It can also be used to clear any selection (by clicking in the white space of a band).


shape_tool

 Shape

Displays various shapes, such as squares, rectangles, circles, and ellipses. Use the Edit toolbar to change the shape type.


Size_grow_height_popup

 Grow Height

Determines the maximum height of the selected components, then sets the height of the components to that height.


Size_grow_width_popup

 Grow Width

Determines the maximum width of the selected components, then sets the width of the components to that value.


Size_shrink_height_popup

 Shrink Height

Determines the minimum height of the selected components, then shrinks the selected components to that height.


Size_shrink_width_popup

 Shrink Width

Determines the minimum width of the selected components, then sets the width of the components to that value.


Standard__A_popup

 New Report

Creates a new report.


Standard_B_popup

 Open Report

Displays the Open dialog, allowing you to open an existing report.


Standard_C_popup

 Save Report

Saves a report to file.


Standard_D_popup

 Page Setup

Displays the Page Setup dialog, allowing you to set the paper size and configure the layout for the report


Standard_E_popup

 Print

Displays the Print dialog before sending the report to the printer.


Standard_F_popup

 Print Preview

Displays the Print Preview window.


Standard_G_popup

 Cut

Places the currently selected components in the clipboard and removes them from the report layout.


Standard_H_popup

 Copy

Copies the currently selected components into the clipboard.


Standard_I_popup

 Paste

Pastes the components in the clipboard into the report layout.


subreport_tool

 SubReport

Creates a report within a report in order to show more levels of detail or to print several reports as one.


system_tool

 System Variable

Displays common report information such as page number, page count, print date and time, and current date and time.


variable_tool

 Variable

Performs calculations.